Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds.skeleton
Class SkeletonPublicationShim

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.skeleton.CommonImpl
          com.novell.nds.dirxml.driver.xds.skeleton.SkeletonPublicationShim

All Implemented Interfaces:
  com.novell.nds.dirxml.driver.PublicationShim, com.novell.nds.dirxml.driver.XmlQueryProcessor

public class SkeletonPublicationShim
extends CommonImpl
implements com.novell.nds.dirxml.driver.PublicationShim, com.novell.nds.dirxml.driver.XmlQueryProcessor

A basic skeleton for implementing the `PublicationShim`.

The `PublicationShim` is an interface used by the DirXML engine to start and stop an application driver's publication process.

A `PublicationShim` will almost always also implement `XmlQueryProcessor` but it could also delegate it to another object.

NOTE: the publisher init() and start() methods are called on a thread separate from the thread used for calling the DriverShim and SubscriptionShim methods

Method Summary
`com.novell.nds.dirxml.driver.XmlDocument` | `init(com.novell.nds.dirxml.driver.XmlDocument initXML)` `init` will be called before the invocation of `start`.
`com.novell.nds.dirxml.driver.XmlDocument` | `query(com.novell.nds.dirxml.driver.XmlDocument queryXML)` `query` will accept an XDS-encoded query and return the results.
`com.novell.nds.dirxml.driver.XmlDocument` | `start(com.novell.nds.dirxml.driver.XmlCommandProcessor processor)` `start()` starts the `PublicationShim`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public com.novell.nds.dirxml.driver.XmlDocument init(com.novell.nds.dirxml.driver.XmlDocument initXML)

  `init` will be called before the invocation of `start`.

  In general, application connectivity should be handled in `start(XmlCommandProcessor)` so a driver can start when the application is down.

  Specified by:
    `init` in interface `com.novell.nds.dirxml.driver.PublicationShim`
  Parameters:
    `initXML` - XML document that contains the publisher initialization parameters and state
  Returns:
    an XML document containing status messages for this operation

### start

    public com.novell.nds.dirxml.driver.XmlDocument start(com.novell.nds.dirxml.driver.XmlCommandProcessor processor)

  `start()` starts the `PublicationShim`. The publisher shim should not return from start until DriverShim.shutdown() is called, or a fatal error occurs. Returning prematurely from `start()` will cause the DirXML engine to shut down the driver.

  Specified by:
    `start` in interface `com.novell.nds.dirxml.driver.PublicationShim`
  Parameters:
    `processor` - `XmlCommandProcessor` that can invoked in order to publish information to eDirectory on behalf of the application; processor must only be invoked from the thread on which `start()` was invoked
  Returns:
    XML document containing status from start operation
  See Also:
    `SkeletonDriverShim.shutdown(XmlDocument)`

### query

    public com.novell.nds.dirxml.driver.XmlDocument query(com.novell.nds.dirxml.driver.XmlDocument queryXML)

  `query` will accept an XDS-encoded query and return the results.

  Specified by:
    `query` in interface `com.novell.nds.dirxml.driver.XmlQueryProcessor`
  Parameters:
    `queryXML` - a document containing an XDS-encoded query
  Returns:
    the results of the query

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD